/*
 * servos.h
 *
 *  Created on: Apr 8, 2023
 *      Author: Alcides Ramos
 */

//COMO SE USA
/*
      SERVO_init(&htim1, SERVO1_CH);

      SERVO_ANG(&SERVO1, -80);

      */

#ifndef LIBRERIAS_SERVOS_H_
#define LIBRERIAS_SERVOS_H_

#include "main.h"

//definiciones de los servos




///servos
#define SERVO1_CH     TIM_CHANNEL_3   //canal de pwm1
#define SERVO1 		  TIM2->CCR3  //registro del timer usado y canal

//DEFINIR MAS SERVOS SI SE DESEA
#define SERVO2_CH     TIM_CHANNEL_2   //canal de pwm1
#define SERVO2 		  TIM1->CCR2  //registro del timer usado y canal


//limites en  de los servos
#define ser_lim_inf_ms 	1.0 //LIMITE INFERIOR
#define  ser_lim_sup_ms	2.0 //LIMITE SUPERIOR

//movimiento deseados del servo
#define  ser_inf		-90.0
#define  ser_sup 		90.0

void  SERVO_init(TIM_HandleTypeDef *servo,uint16_t canal);
void SERVO_ANG(uint32_t *canal,float posi);
void SERVO_MILIS(uint32_t *canal,float milis);






#endif /* LIBRERIAS_SERVOS_H_ */
